%define realname Lchown

Summary: Perl interface to the lchown(2) system call
Name: perl-Lchown
Version: 1.01
Release: 1%{?dist}
License: GPL or Artistic
Group: Development/Libraries
Source: http://search.cpan.org/CPAN/authors/id/N/NC/NCLEATON/%{realname}-%{version}.tar.gz
URL: http://search.cpan.org/dist/%{realname}/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Requires: perl >= 0:5.00404
BuildRequires: perl >= 0:5.00404, sed
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
The Lchown module provides a perl interface to the lchown(2) UNIX system
call, on systems that support lchown.  The lchown(2) call is used to
change the ownership and group of symbolic links.

%prep
%setup -q -n %{realname}-%{version}

%build
export CFLAGS="%{optflags}"
%{__perl} Makefile.PL PREFIX=%{buildroot}%{_prefix} INSTALLDIRS=vendor
%{__make} OPTIMIZE="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
eval $(perl '-V:installarchlib')
%{__install} -d %{buildroot}$installarchlib
%{makeinstall}
%{__chmod} -R u+w %{buildroot}/*
find %{buildroot} -type f \( -name perllocal.pod -o -name "*.bs" -o -name .packlist \) -exec %{__rm} -f {} \;
 
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find %{buildroot} -type f \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -vf {} \;

find %{buildroot}%{_prefix} -type f -print | \
  %{__sed} "s@^%{buildroot}@@g" > %{realname}-%{version}-filelist
if [ "$(cat %{realname}-%{version}-filelist)X" = "X" ]; then
  echo "ERROR: EMPTY FILE LIST"
  exit -1
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files -f %{realname}-%{version}-filelist
%defattr(-,root,root,-)
%doc Changes MANIFEST README

%changelog
* Tue Dec 16 2014 Simon Matter <simon.matter@invoca.ch> 1.01-1
- upgrade to 1.01

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.00-2
- mass rebuild

* Wed Oct 03 2007 Simon Matter <simon.matter@invoca.ch> 1.00-1
- initial package
